Bug 215667 - update to databases/datamodeler (4.1.3.901 rpm no longer on oracle site)
Summary: update to databases/datamodeler (4.1.3.901 rpm no longer on oracle site)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-30 12:20 UTC by Beeblebrox
Modified: 2017-02-03 06:09 UTC (History)
2 users (show)

See Also:
jjuanino: maintainer-feedback+


Attachments
port pkg-plist (98.50 KB, text/plain)
2016-12-30 12:20 UTC, Beeblebrox
no flags Details
Patch to update datamodeler from 4.1.3.901 to 4.1.5.907 (3.65 KB, patch)
2016-12-30 14:06 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beeblebrox 2016-12-30 12:20:53 UTC
Created attachment 178393 [details]
port pkg-plist

Hello
Oracle download site is no longer hosting 4.1.3.901,
so file is now datamodeler-4.1.5.907-1.noarch.rpm
Here are the necessary changes

distfile:
SHA256 (oracle/datamodeler-4.1.5.907-1.noarch.rpm) = 11fc53d9f73a497f8054fd5f518ec07acf9438b6c0f077d5e605035875bd46b6
SIZE (oracle/datamodeler-4.1.5.907-1.noarch.rpm) = 190110464

Makefile:
PORTVERSION=    4.1.5.907

pkg-plist submitted as attachment

I run into below error however. The error is incorrect as the files claimed to be non existent do not match the pkg-plist contents. As example;
make looks for ojdbc6.jar, while pkg-plist has ojdbc7.jar
make looks for httpclient-4.1.2.jar, while pkg-plist has httpclient-4.2.6.jar

I was not able to locate the upper level Makefile settings interfering with the version settings; this might require some "PLIST_SUB="  magic?

ERROR OUTPUT:
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/jdbc/lib/ojdbc6.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/modules/org.apache.http.components.httpclient-4.1.2.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/modules/org.apache.http.components.httpclient-cache-4.1.2.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/sqldeveloper/lib/commons-codec-1.4.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/sqldeveloper/lib/httpclient-4.1.1.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/sqldeveloper/lib/httpclient-cache-4.1.1.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/sqldeveloper/lib/httpcore-4.1.jar: No such file or directory
pkg-static: Unable to access file /asp/obj/asp/git/ports/databases/datamodeler/work/stage/usr/local/share/java/datamodeler/sqldeveloper/lib/httpmime-4.1.1.jar: No such file or directory
Comment 1 jjuanino 2016-12-30 14:06:31 UTC
Created attachment 178396 [details]
Patch to update datamodeler from 4.1.3.901  to 4.1.5.907
Comment 2 jjuanino 2016-12-30 14:08:02 UTC
Hello,

thanks for the bug report.

Find attach below the patch to perform the update to 4.1.5.907 version. Regards
Comment 3 Beeblebrox 2017-01-01 15:46:12 UTC
Hello,
My/Your patch is confirmed working.
The error section I reported was do to not running "make clean" after applying the diffs I had submitted (and before re-trying the build). It was a long night, don't ask...
Comment 4 commit-hook freebsd_committer 2017-02-03 06:08:05 UTC
A commit references this bug:

Author: rm
Date: Fri Feb  3 06:07:00 UTC 2017
New revision: 433192
URL: https://svnweb.freebsd.org/changeset/ports/433192

Log:
  databases/datamodeler: update to 4.1.5.907

  PR:		215667
  Submitted by:	Beeblebrox <zaphod@berentweb.com>
  Approved by:	jjuanino@gmail.com (maintainer, updated patch)

Changes:
  head/databases/datamodeler/Makefile
  head/databases/datamodeler/distinfo
  head/databases/datamodeler/pkg-plist
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2017-02-03 06:09:38 UTC
Committed, thank you!